/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.syswarning.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.User;
import org.activiti.bpmn.model.parse.Warning;

import java.util.Date;

/**
 * 预警日志Entity
 * @author ssrh
 * @version 2018-08-16
 */
public class SysWarningLog extends DataEntity<SysWarningLog> {
	
	private static final long serialVersionUID = 1L;
	private String warningId;		// 预警主键
	private Date warningDate;		// 预警时间
	private String userId;		// 人员id
	private Date endDate;		// 开始 预警时间
	private Date beginDate;		// 结束 预警时间
	private User user;
	private SysWarning sysWarning;
	private String officeId;		// 所属部门
	private String companyId;		// 所属公司

	public SysWarning getSysWarning() {
		return sysWarning;
	}

	public void setSysWarning(SysWarning sysWarning) {
		this.sysWarning = sysWarning;
	}

	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public Date getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public SysWarningLog() {
		super();
	}

	public SysWarningLog(String id){
		super(id);
	}

	@ExcelField(title="预警主键", align=2, sort=7)
	public String getWarningId() {
		return warningId;
	}

	public void setWarningId(String warningId) {
		this.warningId = warningId;
	}

	public Date getWarningDate() {
		return warningDate;
	}

	public void setWarningDate(Date warningDate) {
		this.warningDate = warningDate;
	}

	@ExcelField(title="人员id", align=2, sort=9)
	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}


}